All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
threadManager.hpp File Reference
`#include <atomic>`
`#include <set>`
`#include <tuple>`
`#include <openpose/core/common.hpp>`
`#include <openpose/thread/enumClasses.hpp>`
`#include <openpose/thread/queue.hpp>`
`#include <openpose/thread/thread.hpp>`
`#include <openpose/thread/worker.hpp>`
`#include <utility>`
`#include <openpose/utilities/fastMath.hpp>`
`#include <openpose/thread/subThread.hpp>`
`#include <openpose/thread/subThreadNoQueue.hpp>`
`#include <openpose/thread/subThreadQueueIn.hpp>`
`#include <openpose/thread/subThreadQueueInOut.hpp>`
`#include <openpose/thread/subThreadQueueOut.hpp>`

Go to the source code of this file.

## Classes

class | op::ThreadManager< TDatums, TWorker, TQueue >

## Namespaces

| op

## Functions

| op::COMPILE_TEMPLATE_DATUM (ThreadManager)